#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_TurretCFGData
{
	//ID
	int mID;
	//炮台名字
	std::string mName;
	//资源类型
	int mResType;
	//资源名字
	std::string mResName;
	//Vip等级
	int mVipLevel;
	//颜色
	int mColor;
	//声音ID
	int mSoundID;
	//开火效果
	int mFireEffectID;
	//效果偏移
	int mEffectOffsetY;
	//偏移
	int mOffsetY;
	//开火高度
	int mFireOffsetY;
};

class Fish_TurretCFG
{
public:
private:
	static std::auto_ptr<Fish_TurretCFG> msSingleton;
public:
	int GetCount();
	const Fish_TurretCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_TurretCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_TurretCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_TurretCFGData> mMapData;
};
